########    #######    ########    #######    ########    ########
##     / / / /    License    \ \ \ \ 
##    Copyleft culture, Copyright (C) is prohibited here
##    This work is licensed under a CC BY-SA 4.0
##    Creative Commons Attribution-ShareAlike 4.0 License
##    Refer to the http://creativecommons.org/licenses/by-sa/4.0/
########    #######    ########    #######    ########    ########
##    / / / /    Code Climate    \ \ \ \ 
##    Language = ruby
##    Indent = space;    4 chars;
########    #######    ########    #######    ########    ########
module ArchestryLookup
  module Objects
    class << self   
  
      def getProp(_args,state,conProp,direction)
        rows = {}
        case direction
        when 'from'
          eID  = conProp[:fEID]
          eVer = conProp[:fEVer]        
        when 'to'
          eID  = conProp[:tEID]
          eVer = conProp[:tEVer]        
        end
        
        ArchestryLookup::Sql.sqlQuery(state,  "
          select name, value                  
          from properties 
          where parent_id like '#{eID}' AND
          parent_version = '#{eVer}' AND
          name NOT LIKE 'fqn'
        ")  do |row|
  #             ArchestryLookup.logger.debug "### ROW #{eID} #: #{row}"  
              rows[row[0].to_sym] = row[1]             
        end  
        return rows if not rows.empty?
      end

  
    end
  end
end
