########    #######    ########    #######    ########    ########
##     / / / /    License    \ \ \ \ 
##    Copyleft culture, Copyright (C) is prohibited here
##    This work is licensed under a CC BY-SA 4.0
##    Creative Commons Attribution-ShareAlike 4.0 License
##    Refer to the http://creativecommons.org/licenses/by-sa/4.0/
########    #######    ########    #######    ########    ########
##    / / / /    Code Climate    \ \ \ \ 
##    Language = ruby
##    Indent = space;    4 chars;
########    #######    ########    #######    ########    ########
module ArchestryLookup
  module Schema    
    class << self
    
      def getObjLookupSchema
        lookupQuery = {}
        lookupQuery[:all] = {cClass: '*',
                            fClass: '*', fPropsK: "*", fPropsV: "*",
                            tClass: '*', tPropsK: "*", tPropsV: "*" }
        
        lookupQuery[:app] = {cClass: '*',
                            fClass: 'Application*', fPropsK: "*", fPropsV: "*",
                            tClass: 'Application*', tPropsK: "*", tPropsV: "*" }  
        
        lookupQuery[:archdevops] = {cClass: '*',          
                            fClass: 'ArchDevOps*', fPropsK: "*", fPropsV: "*",
                            tClass: 'ArchDevOps*', tPropsK: "*", tPropsV: "*" }
        
        lookupQuery[:biz] = {cClass: '*',          
                            fClass: 'Business*', fPropsK: "*", fPropsV: "*",
                            tClass: 'Business*', tPropsK: "*", tPropsV: "*" }
                            
        lookupQuery[:data] = {cClass: '*',          
                            fClass: 'Data*', fPropsK: "*", fPropsV: "*",
                            tClass: 'Data*', tPropsK: "*", tPropsV: "*" }

        lookupQuery[:tech] = {cClass: '*',          
                            fClass: 'Technology*', fPropsK: "*", fPropsV: "*",
                            tClass: 'Technology*', tPropsK: "*", tPropsV: "*" }

        lookupQuery[:x5] = {cClass: '*',          
                            fClass: 'X5*', fPropsK: "*", fPropsV: "*",
                            tClass: 'X5*', tPropsK: "*", tPropsV: "*" }
        
        
        lookupQuery
        
      end
  
    end
  end
end
