########    #######    ########    #######    ########    ########
##     / / / /    License    \ \ \ \ 
##    Copyleft culture, Copyright (C) is prohibited here
##    This work is licensed under a CC BY-SA 4.0
##    Creative Commons Attribution-ShareAlike 4.0 License
##    Refer to the http://creativecommons.org/licenses/by-sa/4.0/
########    #######    ########    #######    ########    ########
##    / / / /    Code Climate    \ \ \ \ 
##    Language = ruby
##    Indent = space;    4 chars;
########    #######    ########    #######    ########    ########

module ArchestryLookup
  module Schema
    class << self
      
      def getMFVSchema
        args = Hash.recursive
        args[:models]   = {:schema => [:name, :type, :ver, :cby, :con]}
        args[:folders]  = {:schema => [:name, :type, :ver, :cby, :con, :pid, :rtype]}
        args[:views]    = {:schema => [:name, :viewpoint, :ver, :cby, :con]}
        args[:objects]  = {:schema => [:view, :objfolder]}
        args[:stages]   = {:schema => [:view, :objfolder]}
        
        args
      end
      
      def getElementsSchema
        args = Hash.recursive
        args[:elements]  = {:schema => [:mID, :mName, :mType, :fID, :fName, :vID, :vName, :vPoint, :rClass],
                            :schemaDir => [:eClass, :oCby, :oCon]}
        args
      end

    
    end
  end
end
